unit ExtRes;
{-------------------------------------------------------------------------------
  ExtRes Creator V1.0
  Copyright 2003 Tumbleweeds ICT. All rights reserved
-------------------------------------------------------------------------------

  Get the latest version of Extres at www.extres.org.
-------------------------------------------------------------------------------
  Author(s): Patrick van Kemenade
  Revision info :  09-10-2003  Created
                   10-11-2003  Added prototypes for _extResSerialize and
                               _extResUnserialize
-------------------------------------------------------------------------------}


interface
uses
  Windows;

procedure _extResRegister(name: pChar; code: pChar); stdcall;
function _extResCreate(fin: pChar; fout: pChar; key: pChar; compress: boolean): integer; stdcall;
function _extResSetKey(extResHandle : THandle; key : pChar):  integer; stdcall;
function _extResLastError(str : pChar; maxSize : integer): integer; stdcall;
function _extResLoad(fname : pChar): THandle; stdcall;
function _extResUnload(extResHandle : THandle):  integer; stdcall;
function _extResGet(extResHandle : THandle ; id : integer; var size : longint): LPSTR; stdcall;
function _extResFree(element : pChar):  integer; stdcall;
function _extResSerialize(element : pChar):  pChar; stdcall;
function _extResUnserialize(element : pChar):  integer; stdcall;

implementation

procedure _extResRegister; external 'extres.dll';
function _extResCreate;    external 'extres.dll';
function _extResSetKey;    external 'extres.dll';
function _extResLastError; external 'extres.dll';
function _extResLoad;      external 'extres.dll';
function _extResUnload;    external 'extres.dll';
function _extResGet;       external 'extres.dll';
function _extResFree;      external 'extres.dll';
function _extResSerialize; external 'extres.dll';
function _extResUnserialize; external 'extres.dll';


end.
 